- Qt 5.15
- Qt Data Visualization
- QML Types
- ScatterDataProxy QML Type
- Qt Data Visualization | Commercial or GPLv3

# ScatterDataProxy QML Type

The data proxy for 3D scatter graphs. More...

Import Statement: | import QtDataVisualization 1.15
Since: | QtDataVisualization 1.0
Instantiates: | QScatterDataProxy
Inherits: | AbstractDataProxy
Inherited By: | ItemModelScatterDataProxy

- List of all members, including inherited members

## Properties

- itemCount : int
- series : Scatter3DSeries

## Detailed Description

This type handles adding, inserting, changing, and removing data items.

This type is uncreatable, but contains properties that are exposed via subtypes.

See also ItemModelScatterDataProxy and Qt Data Visualization Data Handling.

## Property Documentation

itemCount : int

The number of items in the array.

series : Scatter3DSeries

The series this proxy is attached to.